description

# NoSuchMethodError class Null safety

Error thrown by the default implementation of `noSuchMethod` on Object.

Inheritance
  - Object
  - Error
  - NoSuchMethodError

## Constructors

NoSuchMethodError(Object? receiver, Symbol memberName, List? positionalArguments, Map<Symbol, dynamic>? namedArguments)
  Create a NoSuchMethodError corresponding to a failed method call. [...]
NoSuchMethodError.withInvocation(Object? receiver, Invocation invocation)
  Create a NoSuchMethodError corresponding to a failed method call. [...]

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace?
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited